diff --git a/drivers/net/wireless/ath/ath11k/mac.h b/drivers/net/wireless/ath/ath11k/mac.h
index 6f09c56c4eb9..842901ee3e2a 100644
--- a/drivers/net/wireless/ath/ath11k/mac.h
+++ b/drivers/net/wireless/ath/ath11k/mac.h
@@ -18,50 +18,50 @@ struct ath11k_generic_iter {
 };
 
 /* number of failed packets (20 packets with 16 sw reties each) */
-#define ATH11K_KICKOUT_THRESHOLD (20 * 16)
+#define ATH11K_KICKOUT_THRESHOLD		(20 * 16)
 
 /* Use insanely high numbers to make sure that the firmware implementation
  * won't start, we have the same functionality already in hostapd. Unit
  * is seconds.
  */
-#define ATH11K_KEEPALIVE_MIN_IDLE 3747
-#define ATH11K_KEEPALIVE_MAX_IDLE 3895
-#define ATH11K_KEEPALIVE_MAX_UNRESPONSIVE 3900
-
-#define WMI_HOST_RC_DS_FLAG             0x01
-#define WMI_HOST_RC_CW40_FLAG           0x02
-#define WMI_HOST_RC_SGI_FLAG            0x04
-#define WMI_HOST_RC_HT_FLAG             0x08
-#define WMI_HOST_RC_RTSCTS_FLAG         0x10
-#define WMI_HOST_RC_TX_STBC_FLAG        0x20
-#define WMI_HOST_RC_RX_STBC_FLAG        0xC0
-#define WMI_HOST_RC_RX_STBC_FLAG_S      6
-#define WMI_HOST_RC_WEP_TKIP_FLAG       0x100
-#define WMI_HOST_RC_TS_FLAG             0x200
-#define WMI_HOST_RC_UAPSD_FLAG          0x400
-
-#define WMI_HT_CAP_ENABLED              0x0001
-#define WMI_HT_CAP_HT20_SGI             0x0002
-#define WMI_HT_CAP_DYNAMIC_SMPS         0x0004
-#define WMI_HT_CAP_TX_STBC              0x0008
-#define WMI_HT_CAP_TX_STBC_MASK_SHIFT   3
-#define WMI_HT_CAP_RX_STBC              0x0030
-#define WMI_HT_CAP_RX_STBC_MASK_SHIFT   4
-#define WMI_HT_CAP_LDPC                 0x0040
-#define WMI_HT_CAP_L_SIG_TXOP_PROT      0x0080
-#define WMI_HT_CAP_MPDU_DENSITY         0x0700
-#define WMI_HT_CAP_MPDU_DENSITY_MASK_SHIFT 8
-#define WMI_HT_CAP_HT40_SGI             0x0800
-#define WMI_HT_CAP_RX_LDPC              0x1000
-#define WMI_HT_CAP_TX_LDPC              0x2000
-#define WMI_HT_CAP_IBF_BFER             0x4000
+#define ATH11K_KEEPALIVE_MIN_IDLE		3747
+#define ATH11K_KEEPALIVE_MAX_IDLE		3895
+#define ATH11K_KEEPALIVE_MAX_UNRESPONSIVE	3900
+
+#define WMI_HOST_RC_DS_FLAG			0x01
+#define WMI_HOST_RC_CW40_FLAG			0x02
+#define WMI_HOST_RC_SGI_FLAG			0x04
+#define WMI_HOST_RC_HT_FLAG			0x08
+#define WMI_HOST_RC_RTSCTS_FLAG			0x10
+#define WMI_HOST_RC_TX_STBC_FLAG		0x20
+#define WMI_HOST_RC_RX_STBC_FLAG		0xC0
+#define WMI_HOST_RC_RX_STBC_FLAG_S		6
+#define WMI_HOST_RC_WEP_TKIP_FLAG		0x100
+#define WMI_HOST_RC_TS_FLAG			0x200
+#define WMI_HOST_RC_UAPSD_FLAG			0x400
+
+#define WMI_HT_CAP_ENABLED			0x0001
+#define WMI_HT_CAP_HT20_SGI			0x0002
+#define WMI_HT_CAP_DYNAMIC_SMPS			0x0004
+#define WMI_HT_CAP_TX_STBC			0x0008
+#define WMI_HT_CAP_TX_STBC_MASK_SHIFT		3
+#define WMI_HT_CAP_RX_STBC			0x0030
+#define WMI_HT_CAP_RX_STBC_MASK_SHIFT		4
+#define WMI_HT_CAP_LDPC				0x0040
+#define WMI_HT_CAP_L_SIG_TXOP_PROT		0x0080
+#define WMI_HT_CAP_MPDU_DENSITY			0x0700
+#define WMI_HT_CAP_MPDU_DENSITY_MASK_SHIFT	8
+#define WMI_HT_CAP_HT40_SGI			0x0800
+#define WMI_HT_CAP_RX_LDPC			0x1000
+#define WMI_HT_CAP_TX_LDPC			0x2000
+#define WMI_HT_CAP_IBF_BFER			0x4000
 
 /* These macros should be used when we wish to advertise STBC support for
  * only 1SS or 2SS or 3SS.
  */
-#define WMI_HT_CAP_RX_STBC_1SS          0x0010
-#define WMI_HT_CAP_RX_STBC_2SS          0x0020
-#define WMI_HT_CAP_RX_STBC_3SS          0x0030
+#define WMI_HT_CAP_RX_STBC_1SS			0x0010
+#define WMI_HT_CAP_RX_STBC_2SS			0x0020
+#define WMI_HT_CAP_RX_STBC_3SS			0x0030
 
 #define WMI_HT_CAP_DEFAULT_ALL (WMI_HT_CAP_ENABLED    | \
 				WMI_HT_CAP_HT20_SGI   | \
@@ -70,34 +70,34 @@ struct ath11k_generic_iter {
 				WMI_HT_CAP_RX_STBC    | \
 				WMI_HT_CAP_LDPC)
 
-#define WMI_VHT_CAP_MAX_MPDU_LEN_MASK      0x00000003
-#define WMI_VHT_CAP_RX_LDPC                0x00000010
-#define WMI_VHT_CAP_SGI_80MHZ              0x00000020
-#define WMI_VHT_CAP_SGI_160MHZ             0x00000040
-#define WMI_VHT_CAP_TX_STBC                0x00000080
-#define WMI_VHT_CAP_RX_STBC_MASK           0x00000300
-#define WMI_VHT_CAP_RX_STBC_MASK_SHIFT     8
-#define WMI_VHT_CAP_SU_BFER                0x00000800
-#define WMI_VHT_CAP_SU_BFEE                0x00001000
-#define WMI_VHT_CAP_MAX_CS_ANT_MASK        0x0000E000
-#define WMI_VHT_CAP_MAX_CS_ANT_MASK_SHIFT  13
-#define WMI_VHT_CAP_MAX_SND_DIM_MASK       0x00070000
-#define WMI_VHT_CAP_MAX_SND_DIM_MASK_SHIFT 16
-#define WMI_VHT_CAP_MU_BFER                0x00080000
-#define WMI_VHT_CAP_MU_BFEE                0x00100000
-#define WMI_VHT_CAP_MAX_AMPDU_LEN_EXP      0x03800000
-#define WMI_VHT_CAP_MAX_AMPDU_LEN_EXP_SHIT 23
-#define WMI_VHT_CAP_RX_FIXED_ANT           0x10000000
-#define WMI_VHT_CAP_TX_FIXED_ANT           0x20000000
-
-#define WMI_VHT_CAP_MAX_MPDU_LEN_11454     0x00000002
+#define WMI_VHT_CAP_MAX_MPDU_LEN_MASK		0x00000003
+#define WMI_VHT_CAP_RX_LDPC			0x00000010
+#define WMI_VHT_CAP_SGI_80MHZ			0x00000020
+#define WMI_VHT_CAP_SGI_160MHZ			0x00000040
+#define WMI_VHT_CAP_TX_STBC			0x00000080
+#define WMI_VHT_CAP_RX_STBC_MASK		0x00000300
+#define WMI_VHT_CAP_RX_STBC_MASK_SHIFT		8
+#define WMI_VHT_CAP_SU_BFER			0x00000800
+#define WMI_VHT_CAP_SU_BFEE			0x00001000
+#define WMI_VHT_CAP_MAX_CS_ANT_MASK		0x0000E000
+#define WMI_VHT_CAP_MAX_CS_ANT_MASK_SHIFT	13
+#define WMI_VHT_CAP_MAX_SND_DIM_MASK		0x00070000
+#define WMI_VHT_CAP_MAX_SND_DIM_MASK_SHIFT	16
+#define WMI_VHT_CAP_MU_BFER			0x00080000
+#define WMI_VHT_CAP_MU_BFEE			0x00100000
+#define WMI_VHT_CAP_MAX_AMPDU_LEN_EXP		0x03800000
+#define WMI_VHT_CAP_MAX_AMPDU_LEN_EXP_SHIT	23
+#define WMI_VHT_CAP_RX_FIXED_ANT		0x10000000
+#define WMI_VHT_CAP_TX_FIXED_ANT		0x20000000
+
+#define WMI_VHT_CAP_MAX_MPDU_LEN_11454		0x00000002
 
 /* These macros should be used when we wish to advertise STBC support for
  * only 1SS or 2SS or 3SS.
  */
-#define WMI_VHT_CAP_RX_STBC_1SS            0x00000100
-#define WMI_VHT_CAP_RX_STBC_2SS            0x00000200
-#define WMI_VHT_CAP_RX_STBC_3SS            0x00000300
+#define WMI_VHT_CAP_RX_STBC_1SS			0x00000100
+#define WMI_VHT_CAP_RX_STBC_2SS			0x00000200
+#define WMI_VHT_CAP_RX_STBC_3SS			0x00000300
 
 #define WMI_VHT_CAP_DEFAULT_ALL (WMI_VHT_CAP_MAX_MPDU_LEN_11454  | \
 				 WMI_VHT_CAP_SGI_80MHZ      |       \
@@ -110,57 +110,57 @@ struct ath11k_generic_iter {
 
 /* VHT capability flags */
 /* B0-B1 Maximum MPDU Length */
-#define IEEE80211_VHTCAP_MAX_MPDU_LEN_3839     0x00000000
-#define IEEE80211_VHTCAP_MAX_MPDU_LEN_7935     0x00000001
-#define IEEE80211_VHTCAP_MAX_MPDU_LEN_11454    0x00000002
+#define IEEE80211_VHTCAP_MAX_MPDU_LEN_3839	0x00000000
+#define IEEE80211_VHTCAP_MAX_MPDU_LEN_7935	0x00000001
+#define IEEE80211_VHTCAP_MAX_MPDU_LEN_11454	0x00000002
 
 /* B2-B3 Supported Channel Width */
-#define IEEE80211_VHTCAP_SUP_CHAN_WIDTH_80     0x00000000
-#define IEEE80211_VHTCAP_SUP_CHAN_WIDTH_160    0x00000004
-#define IEEE80211_VHTCAP_SUP_CHAN_WIDTH_80_160 0x00000008
-#define IEEE80211_VHTCAP_SUP_CHAN_WIDTH_S      2
+#define IEEE80211_VHTCAP_SUP_CHAN_WIDTH_80	0x00000000
+#define IEEE80211_VHTCAP_SUP_CHAN_WIDTH_160	0x00000004
+#define IEEE80211_VHTCAP_SUP_CHAN_WIDTH_80_160	0x00000008
+#define IEEE80211_VHTCAP_SUP_CHAN_WIDTH_S	2
 
-#define IEEE80211_VHTCAP_RX_LDPC             0x00000010
-#define IEEE80211_VHTCAP_SHORTGI_80          0x00000020
-#define IEEE80211_VHTCAP_SHORTGI_160         0x00000040
-#define IEEE80211_VHTCAP_TX_STBC             0x00000080
-#define IEEE80211_VHTCAP_TX_STBC_S           7
+#define IEEE80211_VHTCAP_RX_LDPC		0x00000010
+#define IEEE80211_VHTCAP_SHORTGI_80		0x00000020
+#define IEEE80211_VHTCAP_SHORTGI_160		0x00000040
+#define IEEE80211_VHTCAP_TX_STBC		0x00000080
+#define IEEE80211_VHTCAP_TX_STBC_S		7
 
-#define IEEE80211_VHTCAP_RX_STBC             0x00000700
-#define IEEE80211_VHTCAP_RX_STBC_S           8
+#define IEEE80211_VHTCAP_RX_STBC		0x00000700
+#define IEEE80211_VHTCAP_RX_STBC_S		8
 
-#define IEEE80211_VHTCAP_SU_BFORMER          0x00000800
-#define IEEE80211_VHTCAP_SU_BFORMER_S        11
-#define IEEE80211_VHTCAP_SU_BFORMEE          0x00001000
-#define IEEE80211_VHTCAP_SU_BFORMEE_S        12
+#define IEEE80211_VHTCAP_SU_BFORMER		0x00000800
+#define IEEE80211_VHTCAP_SU_BFORMER_S		11
+#define IEEE80211_VHTCAP_SU_BFORMEE		0x00001000
+#define IEEE80211_VHTCAP_SU_BFORMEE_S		12
 
-#define IEEE80211_VHTCAP_BF_MAX_ANT          0x0000E000
-#define IEEE80211_VHTCAP_BF_MAX_ANT_S        13
+#define IEEE80211_VHTCAP_BF_MAX_ANT		0x0000E000
+#define IEEE80211_VHTCAP_BF_MAX_ANT_S		13
 
-#define IEEE80211_VHTCAP_STS_CAP_S           13
-#define IEEE80211_VHTCAP_STS_CAP_M           0x7
+#define IEEE80211_VHTCAP_STS_CAP_S		13
+#define IEEE80211_VHTCAP_STS_CAP_M		0x7
 
-#define IEEE80211_VHTCAP_SOUND_DIM           0x00070000
-#define IEEE80211_VHTCAP_SOUND_DIM_S         16
+#define IEEE80211_VHTCAP_SOUND_DIM		0x00070000
+#define IEEE80211_VHTCAP_SOUND_DIM_S		16
 
-#define IEEE80211_VHTCAP_MU_BFORMER          0x00080000
-#define IEEE80211_VHTCAP_MU_BFORMER_S        19
-#define IEEE80211_VHTCAP_MU_BFORMEE          0x00100000
-#define IEEE80211_VHTCAP_MU_BFORMEE_S        20
-#define IEEE80211_VHTCAP_TXOP_PS             0x00200000
-#define IEEE80211_VHTCAP_PLUS_HTC_VHT        0x00400000
+#define IEEE80211_VHTCAP_MU_BFORMER		0x00080000
+#define IEEE80211_VHTCAP_MU_BFORMER_S		19
+#define IEEE80211_VHTCAP_MU_BFORMEE		0x00100000
+#define IEEE80211_VHTCAP_MU_BFORMEE_S		20
+#define IEEE80211_VHTCAP_TXOP_PS		0x00200000
+#define IEEE80211_VHTCAP_PLUS_HTC_VHT		0x00400000
 
-#define IEEE80211_VHTCAP_MAX_AMPDU_LEN_FACTOR 13
-#define IEEE80211_VHTCAP_MAX_AMPDU_LEN_EXP   0x03800000
-#define IEEE80211_VHTCAP_MAX_AMPDU_LEN_EXP_S 23
+#define IEEE80211_VHTCAP_MAX_AMPDU_LEN_FACTOR	13
+#define IEEE80211_VHTCAP_MAX_AMPDU_LEN_EXP	0x03800000
+#define IEEE80211_VHTCAP_MAX_AMPDU_LEN_EXP_S	23
 
-#define IEEE80211_VHTCAP_LINK_ADAPT          0x0C000000
-#define IEEE80211_VHTCAP_RESERVED            0xF0000000
+#define IEEE80211_VHTCAP_LINK_ADAPT		0x0C000000
+#define IEEE80211_VHTCAP_RESERVED		0xF0000000
 
 #define IEEE80211_VHT_MCS_SUPPORT_0_11_MASK	GENMASK(23, 16)
 #define IEEE80211_DISABLE_VHT_MCS_SUPPORT_0_11	BIT(24)
 
-#define WMI_MAX_SPATIAL_STREAM               3
+#define WMI_MAX_SPATIAL_STREAM			3
 
 int ath11k_mac_create(struct ath11k_base *ab);
 void ath11k_mac_destroy(struct ath11k_base *ab);